# Available Statistics and Assertions

## Statistics

<table><thead><tr><th width="330.54296875">Statistic</th><th>Description</th></tr></thead><tbody><tr><td>absolute difference of max</td><td>-</td></tr><tr><td>absolute difference of mean</td><td>-</td></tr><tr><td>absolute difference of median</td><td>-</td></tr><tr><td>absolute difference of min</td><td>-</td></tr><tr><td>absolute difference of percentile</td><td>Requires <code>percentage</code> as a parameter.</td></tr><tr><td>absolute difference of standard deviation</td><td>-</td></tr><tr><td>absolute difference of sum</td><td>-</td></tr><tr><td>Category Rank Discrepancy</td><td><p>Computes the absolute difference in the proportion of the specified category between the experiment and baseline runs. The category is specified by its rank in the baseline run.</p><p></p><p>Requires <code>rank</code>as a parameter:  can be one of [<code>most_common, second_most_common, not_top_two]</code>.</p></td></tr><tr><td>Chi-squared stat, scaled</td><td>Computes a scaled and normalized <a href="https://en.wikipedia.org/wiki/Chi-squared_test">Chi-squared</a> statistic between two nominal distributions.</td></tr><tr><td>Kolmogorov-Smirnov stat, scaled</td><td>Computes a scaled and normalized <a href="https://en.wikipedia.org/wiki/Kolmogorov%E2%80%93Smirnov_test">Kolmogorov-Smirnov</a> statistic between two ordinal distributions.</td></tr><tr><td>max</td><td>-</td></tr><tr><td>mean</td><td>-</td></tr><tr><td>median</td><td>-</td></tr><tr><td>min</td><td>-</td></tr><tr><td>mode</td><td>-</td></tr><tr><td>Null Count</td><td>Computes the number of <code>None</code> values in a column.</td></tr><tr><td>Null Percentage</td><td>Computes the fraction of <code>None</code> values in a column.</td></tr><tr><td>percentile</td><td>Requires <code>percentage</code> as a parameter.</td></tr><tr><td>scalar</td><td>Special function for using <a href="/pages/rkNN7iD27CFSGC88BpYt#scalars">scalars</a> in tests. Returns the input as a scalar value if it is a scalar and returns an error otherwise.</td></tr><tr><td>signed difference of max</td><td>-</td></tr><tr><td>signed difference of mean</td><td>-</td></tr><tr><td>signed difference of median</td><td>-</td></tr><tr><td>signed difference of min</td><td>-</td></tr><tr><td>signed difference of percentile</td><td>Requires <code>percentage</code> as a parameter.</td></tr><tr><td>signed difference of standard deviation</td><td>-</td></tr><tr><td>signed difference of sum</td><td>-</td></tr><tr><td>standard deviation</td><td>-</td></tr><tr><td>sum</td><td>-</td></tr></tbody></table>

## Assertions

| Assertion                |
| ------------------------ |
| between                  |
| between or equal to      |
| close to                 |
| equal to                 |
| greater than             |
| greater than or equal to |
| less than                |
| less than or equal to    |
| not equal to             |
| outside                  |
| outside or equal to      |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.23.x/using-distributional/tests/creating-tests/available-statistics-and-assertions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
